DynamicJava Javadoc: Class IfThenStatement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class IfThenStatement

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Statement
                  |
                  +--koala.dynamicjava.tree.IfThenStatement

Direct Known Subclasses:
  IfThenElseStatement

public class IfThenStatement
extends Statement

This class represents the if-then statement nodes of the syntax tree

Field Summary
`static java.lang.String` | `CONDITION` The condition property name
`static java.lang.String` | `THEN_STATEMENT` The thenStatement property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`IfThenStatement(Expression cond, Node tstmt)` Creates a new while statement
`IfThenStatement(Expression cond, Node tstmt, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new while statement

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`Expression` | `getCondition()` Gets the condition to evaluate at each loop
`Node` | `getThenStatement()` Returns the then statement of this statement
`void` | `setCondition(Expression e)` Sets the condition to evaluate
`void` | `setThenStatement(Node node)` Sets the then statement of this statement

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONDITION

    public static final java.lang.String CONDITION

  The condition property name

### THEN_STATEMENT

    public static final java.lang.String THEN_STATEMENT

  The thenStatement property name

Constructor Detail

### IfThenStatement

    public IfThenStatement(Expression cond,
                           Node tstmt)

  Creates a new while statement
  Parameters:
    `cond` - the condition
    `tstmt` - the statement
  Throws:
    `java.lang.IllegalArgumentException` - if cond is null or tstmt is null

### IfThenStatement

    public IfThenStatement(Expression cond,
                           Node tstmt,
                           java.lang.String fn,
                           int bl,
                           int bc,
                           int el,
                           int ec)

  Creates a new while statement
  Parameters:
    `cond` - the condition
    `tstmt` - the statement
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if cond is null or tstmt is null

Method Detail

### getCondition

    public Expression getCondition()

  Gets the condition to evaluate at each loop

### setCondition

    public void setCondition(Expression e)

  Sets the condition to evaluate
  Throws:
    `java.lang.IllegalArgumentException` - if e is null

### getThenStatement

    public Node getThenStatement()

  Returns the then statement of this statement

### setThenStatement

    public void setThenStatement(Node node)

  Sets the then statement of this statement
  Throws:
    `java.lang.IllegalArgumentException` - if node is null

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.